SET NAMES utf8mb4;
--
-- Set default database
--
USE cpop_test;

DROP TABLE IF EXISTS `cp_j_web_product`;
DROP TABLE IF EXISTS `cp_j_web_navigation`;
DROP TABLE IF EXISTS `cp_j_web_development`;
DROP TABLE IF EXISTS `cp_j_web_cooperation_type`;
DROP TABLE IF EXISTS `cp_j_web_cooperation`;
DROP TABLE IF EXISTS `cp_j_web_company_intro`;
DROP TABLE IF EXISTS `cp_j_web_business_intro`;
DROP TABLE IF EXISTS `cp_j_web_business_data`;

--
-- Create table `cp_j_web_product`
--
CREATE TABLE cp_j_web_product (
  id VARCHAR(48) NOT NULL,
  product_name VARCHAR(255) DEFAULT NULL COMMENT '产品名称',
  img_url TEXT DEFAULT NULL COMMENT '图片',
  intro TEXT DEFAULT NULL COMMENT '产品介绍',
  create_time DATETIME DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  create_user_id VARCHAR(48) DEFAULT NULL COMMENT '创建人id',
  update_time DATETIME DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  update_user_id VARCHAR(48) DEFAULT NULL COMMENT '更新人id',
  is_delete TINYINT DEFAULT NULL COMMENT '逻辑删除（0否1是）',
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci,
COMMENT = '果酱模块化官网 核心产品表';

--
-- Create table `cp_j_web_navigation`
--
CREATE TABLE cp_j_web_navigation (
  id VARCHAR(48) NOT NULL,
  navigation_name VARCHAR(50) DEFAULT NULL COMMENT '导航栏名称',
  path VARCHAR(50) DEFAULT NULL COMMENT '路径',
  parent_id INT DEFAULT NULL COMMENT '父级ID',
  create_time DATETIME DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  create_user_id VARCHAR(48) DEFAULT NULL COMMENT '创建人id',
  update_time DATETIME DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  update_user_id VARCHAR(48) DEFAULT NULL COMMENT '更新人id',
  is_delete TINYINT DEFAULT NULL COMMENT '逻辑删除（0否1是）',
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci,
COMMENT = '果酱模块化官网 导航栏表';


--
-- Create table `cp_j_web_development`
--
CREATE TABLE cp_j_web_development (
  id VARCHAR(48) NOT NULL,
  title VARCHAR(100) DEFAULT NULL COMMENT '标题',
  img_url TEXT DEFAULT NULL COMMENT '图片',
  link VARCHAR(255) DEFAULT NULL COMMENT '跳转链接',
  publish_time DATETIME DEFAULT NULL COMMENT '发布时间',
  create_time DATETIME DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  create_user_id VARCHAR(48) DEFAULT NULL COMMENT '创建人id',
  update_time DATETIME DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  update_user_id VARCHAR(48) DEFAULT NULL COMMENT '更新人id',
  is_delete TINYINT DEFAULT NULL COMMENT '逻辑删除（0否1是）',
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci,
COMMENT = '果酱模块化官网 发展历程表';

--
-- Create table `cp_j_web_cooperation_type`
--
CREATE TABLE cp_j_web_cooperation_type (
  id VARCHAR(48) NOT NULL,
  type_name VARCHAR(255) DEFAULT NULL COMMENT '种类名称',
  sort INT DEFAULT NULL COMMENT '排序',
  create_time DATETIME DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  create_user_id VARCHAR(48) DEFAULT NULL COMMENT '创建人id',
  update_time DATETIME DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  update_user_id VARCHAR(48) DEFAULT NULL COMMENT '更新人id',
  is_delete TINYINT DEFAULT NULL COMMENT '逻辑删除（0否1是）',
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci,
COMMENT = '果酱模块化官网 合作类别表';

--
-- Create table `cp_j_web_cooperation`
--
CREATE TABLE cp_j_web_cooperation (
  id VARCHAR(48) NOT NULL,
  img_url TEXT DEFAULT NULL COMMENT '图片',
  type_id VARCHAR(48) DEFAULT NULL COMMENT '合作类别id',
  sort INT DEFAULT NULL COMMENT '排序',
  create_time DATETIME DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  create_user_id VARCHAR(48) DEFAULT NULL COMMENT '创建人id',
  update_time DATETIME DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  update_user_id VARCHAR(48) DEFAULT NULL COMMENT '更新人id',
  is_delete TINYINT DEFAULT NULL COMMENT '逻辑删除（0否1是）',
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci,
COMMENT = '果酱模块化官网 合作平台表';

--
-- Create table `cp_j_web_company_intro`
--
CREATE TABLE cp_j_web_company_intro (
  id VARCHAR(48) NOT NULL,
  title VARCHAR(255) DEFAULT NULL COMMENT '标题',
  content VARCHAR(255) DEFAULT NULL COMMENT '内容',
  img_one TEXT DEFAULT NULL COMMENT '图片一',
  img_two TEXT DEFAULT NULL COMMENT '图片二',
  create_time DATETIME DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  create_user_id VARCHAR(48) DEFAULT NULL COMMENT '创建人id',
  update_time DATETIME DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  update_user_id VARCHAR(48) DEFAULT NULL COMMENT '更新人id',
  is_delete TINYINT DEFAULT NULL COMMENT '逻辑删除（0否1是）',
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci,
COMMENT = '果酱模块化官网 公司简介表';

--
-- Create table `cp_j_web_business_intro`
--
CREATE TABLE cp_j_web_business_intro (
  id VARCHAR(48) NOT NULL,
  intro TEXT DEFAULT NULL COMMENT '业务介绍',
  img_url TEXT DEFAULT NULL COMMENT '图片',
  create_time DATETIME DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  create_user_id VARCHAR(48) DEFAULT NULL COMMENT '创建人id',
  update_time DATETIME DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  update_user_id VARCHAR(48) DEFAULT NULL COMMENT '更新人id',
  is_delete TINYINT DEFAULT NULL COMMENT '逻辑删除（0否1是）',
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci,
COMMENT = '果酱模块化官网 业务介绍表';

--
-- Create table `cp_j_web_business_data`
--
CREATE TABLE cp_j_web_business_data (
  id VARCHAR(48) NOT NULL,
  data_name VARCHAR(50) DEFAULT NULL COMMENT '数据名称',
  data VARCHAR(50) DEFAULT NULL COMMENT '数据',
  create_time DATETIME DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  create_user_id VARCHAR(48) DEFAULT NULL COMMENT '创建人id',
  update_time DATETIME DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  update_user_id VARCHAR(48) DEFAULT NULL COMMENT '更新人id',
  is_delete TINYINT DEFAULT NULL COMMENT '逻辑删除（0否1是）',
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci,
COMMENT = '果酱模块化官网 业务数据表';